package com.gh.gamecenter.feature.provider


import com.gh.gamecenter.feature.entity.GameEntity
import com.gh.gamecenter.feature.entity.IpInfo

interface IRegionSettingHelperProvider {

    fun getMirrorPosition(gameId: String): Int

    fun shouldThisGameShowSpecialDownload(gameId: String): Boolean

    fun filterGame(list: List<GameEntity>): ArrayList<GameEntity>

    fun getIpInfo(): IpInfo?

    fun shouldThisGameBeFiltered(gameId: String?): Boolean
}